---
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  labels:
    app: squid-app-33129
  name: squid-app-33129
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: squid-app-33129
    spec:
      containers:
        - name: squid
          image: hipod/squid-ubuntu:latest
          imagePullPolicy: Always
          ports:
          - containerPort: 3128
            protocol: TCP
          volumeMounts:
            - mountPath: /var/spool/squid
              name: squid-cache
            - mountPath: /var/log/squid
              name: squid-log
          livenessProbe:
            tcpSocket:
              port: 3128
            initialDelaySeconds: 40
            timeoutSeconds: 4
      volumes:
        - name: squid-cache
          emptyDir: {}
        - name: squid-log
          emptyDir: {}
